欢迎光临
我们一直在努力

Ubuntu无法安装vim怎么办?

  vim文本编辑器是由vi发展而来的,拥有丰富的编辑功能,Linux系统经常会用到vim文本编辑器。在Ubuntu系统中,vim文本编辑器存在无安装的问题,遇到这种问题该如何处理呢?下面小编就给大家介绍下Ubuntu无法安装vim文本编辑器该如何解决。

  解决方法

 Ubuntu无法安装vim怎么办?

  apt-get install vim

  正在读取软件包列表。。。 完成

  正在分析软件包的依赖关系树

  正在读取状态信息。。。 完成

  有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是

  因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件

  包尚未被创建或是它们还在新到(incoming)目录中。

  下列的信息可能会对解决问题有所帮助:

  下列的软件包有不能满足的依赖关系:

  vim: 依赖: vim-common (= 1:7.1-138+1ubuntu3.1) 但是 2:7.2.079-1ubuntu5 正要被安装

  E: 无法安装的软件包

  出现这个的原因,主要是因为vim-common的依赖版本低于已经被安装的版本,解决这个问题的方法很简单。

  apt-get remove vim-common就可以了,首先卸载这个依赖包,然后重新安装vim就ok,他会自动解决依赖关系。

  apt-get install vim

  上面就是Ubuntu无法安装vim文本编辑器的解决方法的介绍了,该方法只针对Ubuntu系统的安装问题,遇到无法安装要先卸载依赖包再安装。

赞(0)
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《Ubuntu无法安装vim怎么办?》
文章链接:https://pc.adminn.cn/4117.html
本站属非盈利性网站,不接受任何形式广告。本站提供文章纯教程分享,给网民提供教程,文章均采集网路,如侵犯您的权益,请联系我们删除,QQ:805750011。